using System;
using Props.Shop.Framework;

namespace Props.Shop.Ebay
{
    public class SandboxOption : IOption
    {
        private Configuration configuration;
        public string Name => "Ebay Sandbox";

        public string Description => "For development purposes, Ebay Sandbox allows use of Ebay APIs (with exceptions) in a sandbox environment before applying for production use.";

        public bool Required => true;

        public Type Type => typeof(bool);

        internal SandboxOption(Configuration configuration)
        {
            this.configuration = configuration;
        }

        public string GetValue()
        {
            return configuration.Sandbox.ToString();
        }

        public bool SetValue(string value)
        {
            bool sandbox = false;
            bool res = bool.TryParse(value, out sandbox);
            configuration.Sandbox = sandbox;
            return res;
        }
    }
}